<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Release Notes for STM32L476G-EVAL HAL Examples</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="../../../_htmresc/mini-st.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<div class="row">
<div class="col-sm-12 col-lg-4">
<div class="card fluid">
<div class="sectione dark">
<center>
<h1 id="release-notes-for-stm32l476g-eval-hal-examples"><small>Release Notes for</small> <mark>STM32L476G-EVAL HAL Examples</mark></h1>
<p>Copyright © 2017 STMicroelectronics<br />
</p>
<a href="https://www.st.com" class="logo"><img src="../../../_htmresc/st_logo.png" alt="ST logo" /></a>
</center>
</div>
</div>
<h1 id="license">License</h1>
<p>Licensed by ST under BSD 3-Clause license (the "License"). You may not use this package except in compliance with the License. You may obtain a copy of the License at:</p>
<p><a href="https://opensource.org/licenses/BSD-3-Clause">https://opensource.org/licenses/BSD-3-Clause</a></p>
<h1 id="purpose">Purpose</h1>
<p>This directory contains the HAL examples to demonstrate the capabilities of the STM32L476G-EVAL Kit.</p>
</div>
<div class="col-sm-12 col-lg-8">
<h1 id="update-history">Update History</h1>
<div class="collapse">
<input type="checkbox" id="collapse-section19" checked aria-hidden="true"> <label for="collapse-section19" aria-hidden="true">V1.14.0 / 03-April-2019</label>
<div>
<h2 id="main-changes">Main Changes</h2>
<ul>
<li>RTC_Tamper example
<ul>
<li>Ensure button press status flag is reset after back-up registers are written</li>
</ul></li>
<li>BSP and RTC_InternalTimeStamp examples
<ul>
<li>Correct all time display functions to fix gcc compilation warnings reported by -Wformat-overflow option</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section18" aria-hidden="true"> <label for="collapse-section18" aria-hidden="true">V1.13.0 / 27-July-2018</label>
<div>
<h2 id="no-change">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section17" aria-hidden="true"> <label for="collapse-section17" aria-hidden="true">V1.12.0 / 22-May-2018</label>
<div>
<h2 id="no-change-1">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section16" aria-hidden="true"> <label for="collapse-section16" aria-hidden="true">V1.11.0 / 22-December-2017</label>
<div>
<h2 id="main-changes-1">Main Changes</h2>
<ul>
<li><p>CAN_Networking example:</p>
<ul>
<li>Rework to align with new HAL CAN driver APIs</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section15" aria-hidden="true"> <label for="collapse-section15" aria-hidden="true">V1.10.0 / 13-October-2017</label>
<div>
<h2 id="main-changes-2">Main Changes</h2>
<ul>
<li><p>CAN_Networking example:</p>
<ul>
<li>Fix CAN baudrate configuration to 1 Mbps</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section14" aria-hidden="true"> <label for="collapse-section14" aria-hidden="true">V1.9.0 / 25-August-2017</label>
<div>
<h2 id="no-change-2">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section12" aria-hidden="true"> <label for="collapse-section12" aria-hidden="true">V1.8.0 / 21-April-2017</label>
<div>
<h2 id="no-change-3">No Change</h2>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section11" aria-hidden="true"> <label for="collapse-section11" aria-hidden="true">V1.7.0 / 17-February-2017</label>
<div>
<h2 id="main-changes-3">Main Changes</h2>
<ul>
<li><p>BSP example:</p>
<ul>
<li>Update to comply with latest BSP SD driver API</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section10" aria-hidden="true"> <label for="collapse-section10" aria-hidden="true">V1.6.0 / 28-October-2016</label>
<div>
<h2 id="main-changes-4">Main Changes</h2>
<ul>
<li><p>CRYP_AESModes_Suspension and CRYP_GCM_GMAC_CMAC_Suspension examples:</p>
<ul>
<li>Update to align with __HAL_CRYP_xxxx macros with CRYP handle pointer as parameter</li>
</ul></li>
<li><p>DFSDM_Thermometer example:</p>
<ul>
<li>Update SW4STM32 project configuration to add -u printf_float option</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section9" aria-hidden="true"> <label for="collapse-section9" aria-hidden="true">V1.5.2 / 12-September-2016</label>
<div>
<h2 id="main-changes-5">Main Changes</h2>
<ul>
<li><p>All I2C examples:</p>
<ul>
<li>Rework management of Acknowledgment Failure errors</li>
</ul></li>
<li><p>TIM_OcActive:</p>
<ul>
<li>Fix LED management in case of error</li>
</ul></li>
<li><p>WWDG_Example:</p>
<ul>
<li>Fix SW4STM32 project configuration</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section8" aria-hidden="true"> <label for="collapse-section8" aria-hidden="true">V1.5.0 / 29-April-2016</label>
<div>
<h2 id="main-changes-6">Main Changes</h2>
<ul>
<li><p>DMA_FlashToRAM:</p>
<ul>
<li>Use of HAL_DMA_RegisterCallback().</li>
</ul></li>
<li><p>DFSDM_AudioRecord and SAI_AudioPlay:</p>
<ul>
<li>Update to configure PLLSAI1Source and PLLSAI1M prior to call HAL_RCCEx_PeriphCLKConfig().</li>
</ul></li>
<li><p>HAL_TimeBase_TIM (renamed from HAL_TimeBase):</p>
<ul>
<li>Update to add new user file stm32l4xx_hal_timebase_tim.c for TIM peripheral used for HAL time base</li>
</ul></li>
<li><p>I2C_EEPROM, I2C_IOExpander, I2C_TwoBoards_ComDMA, WakeUpFromStop and I2C_WakeUpFromStop2 examples:</p>
<ul>
<li>Update for end of DMA process and I2C error management</li>
</ul></li>
<li><p>I2C_TwoBoards_AdvComIT and I2C_TwoBoards_ComIT:</p>
<ul>
<li>SB and ADDR are now managed in interrupt mode</li>
</ul></li>
<li><p>IWDG_Reset and IWDG_WindowMode:</p>
<ul>
<li>Rework since simplified HAL IWDG</li>
</ul></li>
<li><p>QSPI examples:</p>
<ul>
<li>Add HAL_QSPI_ErrorCallback()</li>
</ul></li>
<li><p>SMARTCARD_T0:</p>
<ul>
<li>Fix guardtime to 0</li>
</ul></li>
<li><p>WWDG_Example:</p>
<ul>
<li>Rework since simplified HAL WWDG</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section7" aria-hidden="true"> <label for="collapse-section7" aria-hidden="true">V1.4.0 / 26-February-2016</label>
<div>
<h2 id="main-changes-7">Main Changes</h2>
<ul>
<li><p>New examples:</p>
<ul>
<li><p>I2C_TwoBoads_RestartComIT and I2C_TwoBoads_RestartAdvCom</p></li>
<li><p>QSPI_PreInitConfig for early QSPI memory configuration in SystemInit()</p></li>
</ul></li>
<li><p>QSPI_ExecuteInPlace:</p>
<ul>
<li>Disable Flash prefetch and set sample shifting to QSPI_SAMPLE_SHIFTING_HALFCYCLE for correct execution with all IDEs</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section6" aria-hidden="true"> <label for="collapse-section6" aria-hidden="true">V1.3.0 / 29-January-2016</label>
<div>
<h2 id="main-changes-8">Main Changes</h2>
<ul>
<li><p>RTC_Alarm, RTC_LSI, RTC_Tamper and RTC_Timestamp examples:</p>
<ul>
<li>Fix PREDIV_S value in main.h when RTC clock source is LSI</li>
</ul></li>
<li><p>Update of all examples projects with latest system_stm32l4xx.c from STM32L4xx CMSIS Device</p></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section5" aria-hidden="true"> <label for="collapse-section5" aria-hidden="true">V1.2.0 / 25-November-2015</label>
<div>
<h2 id="main-changes-9">Main Changes</h2>
<ul>
<li><p>LPTIM and COMP examples:</p>
<ul>
<li>Update HAL_PWREx_EnterSTOP1Mode(PWR_STOPENTRY_WFI) call to enter Stop 1 mode since HAL PWR API change.</li>
</ul></li>
<li><p>DFSDM_AudioRecord and SAI_AudioPlay examples:</p>
<ul>
<li>Update SAI initialization in line with HAL SAI clock strobing update.</li>
</ul></li>
<li><p>FMC_NOR and FMC_SRAM examples:</p>
<ul>
<li>Fix FMC timings for SRAM and NOR memories on STM32L476G-EVAL board.</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section4" aria-hidden="true"> <label for="collapse-section4" aria-hidden="true">V1.1.1 / 16-October-2015</label>
<div>
<h2 id="main-changes-10">Main Changes</h2>
<ul>
<li>Fine-tuning of all Examples projects: stm32l4xx_hal_conf.h files updated to set Flash prefetch off in line with default system configuration.</li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section3" aria-hidden="true"> <label for="collapse-section3" aria-hidden="true">V1.1.0 / 16-September-2015</label>
<div>
<h2 id="main-changes-11">Main Changes</h2>
<ul>
<li><p>Add support of System Workbench for STM32 (SW4STM32) toolchain.</p></li>
<li><p>Apply GPIO_SPEED_FREQ_xxx new definitions from HAL GPIO.</p></li>
<li><p>QSPI examples: </p>
<ul>
<li>Update prescaler to reduce speed in line with Quad-SPI flash memory datasheet </li>
</ul></li>
<li><p>RTC_LSI example:</p>
<ul>
<li>Fix issue on period computation</li>
</ul></li>
<li><p>RTC_TimeStamp example:</p>
<ul>
<li>Update readme.txt</li>
</ul></li>
<li><p>TIM_InputCapture: </p>
<ul>
<li>Fix issue on period computation</li>
</ul></li>
<li><p>SMARTCARD_T0: </p>
<ul>
<li>Fix issue on response data length</li>
</ul></li>
</ul>
</div>
</div>
<div class="collapse">
<input type="checkbox" id="collapse-section2" aria-hidden="true"> <label for="collapse-section2" aria-hidden="true">V1.0.0 / 26-June-2015</label>
<div>
<h2 id="main-changes-12">Main Changes</h2>
<ul>
<li>First official release</li>
</ul>
</div>
</div>
</div>
</div>
<footer class="sticky">
For complete documentation on <mark>STM32 Microcontrollers</mark> , visit: <a href="http://www.st.com/STM32">http://www.st.com/STM32</a>
</footer>
</body>
</html>
